<?php

function fu_create_admin_pages() {
    add_menu_page('Fans United', 'Fans United', 'manage_options', 'fu-main-menu', 'fu_main_page_callback', 'dashicons-admin-generic', 25);

    add_submenu_page('fu-main-menu', 'Manage Top X games', 'Manage Top X games', 'manage_options', 'fu-top-games', 'fu_top_games_callback');
    add_submenu_page('fu-main-menu', 'Manage Match Quizzes', 'Manage Match Quizzes', 'manage_options', 'fu-match-quizzes', 'fu_match_quizzes_callback');
    add_submenu_page('fu-main-menu', 'Manage Leaderboards', 'Manage Leaderboards', 'manage_options', 'fu-leaderboards', 'fu_leaderboards_callback');
    add_submenu_page('fu-main-menu', 'Manage Quizzes', 'Manage Quizzes', 'manage_options', 'fu-classic-quizzes', 'fu_classic_quizzes_callback');
    add_submenu_page('fu-main-menu', 'Manage Discussions', 'Manage Discussions', 'manage_options', 'fu-discussions', 'fu_discussions_callback');
    add_submenu_page('fu-main-menu', 'Game Rankings', 'Game Rankings', 'manage_options', 'fu-game-rankings', 'fu_game_rankings_callback');
}

add_action('admin_menu', 'fu_create_admin_pages');

function fu_main_page_callback() {
    echo '<div data-management-widget="main-management-screen"></div>';
}
function fu_top_games_callback() {
    echo '<div data-management-widget="top-x-management"></div>';
}
function fu_match_quizzes_callback() {
    echo '<div data-management-widget="match-quiz-management"></div>';
}
function fu_classic_quizzes_callback() {
    echo '<div data-management-widget="classic-quiz-management"></div>';
}
function fu_discussions_callback() {
    echo '<div data-management-widget="discussions-management"></div>';
}
function fu_leaderboards_callback() {
    echo '<div data-management-widget="leaderboards-management"></div>';
}
function fu_game_rankings_callback() {
    echo '<div data-management-widget="game-rankings"></div>';
}

