<?php

// Register the endpoint
add_action('rest_api_init', 'fu_signout_api_hooks');

function fu_signout_api_hooks() {
    register_rest_route(
        'fans-united/v1',
        '/sign-out',
        array(
            'methods'  => 'GET',
            'callback' => 'fu_sign_out',
            'permission_callback' => '__return_true'
        )
    );
}

function fu_sign_out(WP_REST_Request $request) {
    wp_logout(); // WordPress function to logout the current user
    echo json_encode(array('logged_out' => true));
    die();
}
