<?php

function public_profile_shortcode($atts) {
    // Extract the attributes
    $atts = shortcode_atts(
        array(
            'id' => null, // default value null
        ),
        $atts,
        'public-profile'
    );
    
    // Get the ID
    $id = isset($_GET['id']) ? sanitize_text_field($_GET['id']) : $atts['id'];

    // Use the ID to generate your content...
    return '<div data-component="public-profile" data-profile-id="'.$id.'" data-replace-meta="true" class="fans-united-functionality"></div>';
}
add_shortcode('public-profile', 'public_profile_shortcode');
