<?php

function fans_united_add_page_template( $templates ) {
    // Add your custom template to the list of templates
    // The key should be the path to your template file, relative to the theme root
    // Note: This path will be different if your template is within a subdirectory of your plugin
    $templates[plugin_dir_path(__FILE__) . 'partials/templates/fans-united-blank-template.php'] = __('Fans United Blank Template', 'text-domain');

    return $templates;
}
add_filter('theme_page_templates', 'fans_united_add_page_template');

function fans_united_redirect_template($template) {
    // Check if the current page uses our custom template
    $post = get_post();
    $page_template = get_post_meta($post->ID, '_wp_page_template', true);
    if ($page_template === plugin_dir_path(__FILE__) . 'partials/templates/fans-united-blank-template.php') {
        $template = plugin_dir_path(__FILE__) . 'partials/templates/fans-united-blank-template.php';
    }

    return $template;
}
add_filter('template_include', 'fans_united_redirect_template');


/**
 * Dark template
 */
function fans_united_add_page_template_dark( $templates ) {
    // Add your custom template to the list of templates
    // The key should be the path to your template file, relative to the theme root
    // Note: This path will be different if your template is within a subdirectory of your plugin
    $templates[plugin_dir_path(__FILE__) . 'partials/templates/fans-united-blank-template-dark.php'] = __('Fans United Blank Template - Dark', 'text-domain');

    return $templates;
}
add_filter('theme_page_templates', 'fans_united_add_page_template_dark');

function fans_united_redirect_template_dark($template) {
    // Check if the current page uses our custom template
    $post = get_post();
    $page_template = get_post_meta($post->ID, '_wp_page_template', true);
    if ($page_template === plugin_dir_path(__FILE__) . 'partials/templates/fans-united-blank-template-dark.php') {
        $template = plugin_dir_path(__FILE__) . 'partials/templates/fans-united-blank-template-dark.php';
    }

    return $template;
}
add_filter('template_include', 'fans_united_redirect_template_dark');
