<?php

function classic_quiz_by_id_shortcode($atts) {
    // Extract the attributes
    $atts = shortcode_atts(
        array(
            'id' => null, // default value null
        ),
        $atts,
        'classic-quiz-by-id'
    );
    
    // Get the prediction ID
    $id = isset($_GET['id']) ? sanitize_text_field($_GET['id']) : $atts['id'];

    // Use the prediction ID to generate your content...
    return '<div data-component="classic-quiz" data-id="'.$id.'" data-replace-meta="true" class="fans-united-functionality"></div>';
}
add_shortcode('classic-quiz-by-id', 'classic_quiz_by_id_shortcode');
