<?php

function fansUnitedFirebaseForgottenPassword() {
    $loginPath = (!empty($options['fans_united_firebase_login_path'])) ? $options['fans_united_firebase_login_path'] : '/fans-united-signin';
    $registerPath = (!empty($options['fans_united_firebase_register_path'])) ? $options['fans_united_firebase_register_path'] : '/fans-united-register';
    ob_start(); ?>
    <div class="fans-united-functionality">
        <div class="fansunited-forgotten-password">
            <form id="fansunited-firebase-forgotten-password-form">
                <label>
                    <?php echo fans_united_get_label('auth_email') ?>:
                    <input type="email" id="fansunited-firebase-forgotten-password-email" required>
                </label>
                <div class="fans-united-auth-action-wrapper">
                    <button class="" type="submit"><span><?php echo fans_united_get_label('auth_reset_password'); ?></span></button>
                    <div class="fans-united-auth-secondary-actions">
                        <a href="<?php echo $loginPath; ?>"><?php echo fans_united_get_label('auth_login'); ?></a> | 
                        <a href="<?php echo $registerPath; ?>"><?php echo fans_united_get_label('auth_register'); ?></a>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <?php return ob_get_clean();
}
add_shortcode('fans-united-firebase-forgotten-password', 'fansUnitedFirebaseForgottenPassword');
