<?php

function top_x_by_id_shortcode($atts) {
    // Extract the attributes
    $atts = shortcode_atts(
        array(
            'id' => null, // default value null
        ),
        $atts,
        'top-x-by-id'
    );
    
    // Get the prediction ID
    $id = isset($_GET['id']) ? sanitize_text_field($_GET['id']) : $atts['id'];

    // Use the prediction ID to generate your content...
    return '<div data-component="top-x" data-id="'.$id.'" data-replace-meta="true" class="fans-united-functionality"></div>';
}
add_shortcode('top-x-by-id', 'top_x_by_id_shortcode');
