<?php
/*
Template Name: Fans United Blank Template
*/
?>
<!DOCTYPE html>
<html class="fans-united-blank-template" <?php language_attributes(); ?>>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <?php wp_head(); ?> <!-- Ensures assets enqueued for the head are output -->
</head>
<body <?php body_class(); ?>>

<div id="fans-united-blank-template" class="fans-united-content-area">
    <main id="main" class="site-main">
        <?php
        // Start the loop.
        while ( have_posts() ) : the_post();
            // Include the page content.
            the_content();
        endwhile;
        ?>
    </main><!-- .site-main -->
</div><!-- .content-area -->

<?php wp_footer(); ?> <!-- Ensures assets enqueued for the footer are output -->
</body>
</html>